Error upgrading from 3.0 to 3.1.1

Nov 26, 2014 at 9:04 AM
I try to update my Blog Engine 3.0 to 3.1.1 but I alwys receive this error.
I try to delete that file before upgrade but the error comes to another file. I tried to put the issappool user in the Administrators group (to be sure not to have ACL problems) but no results.

Thank you

Image
Coordinator
Nov 26, 2014 at 10:58 PM
Edited Nov 26, 2014 at 10:58 PM
If this is happening on live site, your locks are due to users accessing same files you trying to delete/move. You have two choices then:
  1. Copy your site to local IIS and run update there, then move to host.
  2. Do manual update.
Nov 27, 2014 at 8:24 AM
Thank you.
I went to choice #1 and it works ok

Only 2 little issue after upgrading the local IIS
1) I was not more able to login; the upgrade change my right/roles provider in web.config from xml to db; I had to revert manually
2) the MSSql script 3.0->3.1 was not applied; I ran manually

Thanks
Sandro